Bug 198061 - No MTRR set for the video ram on Radeon XPRESS 200 causing poor performance
Summary: No MTRR set for the video ram on Radeon XPRESS 200 causing poor performance
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati   
(Show other bugs)
Version: 5
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-07-08 22:22 UTC by Henrik Nordstrom
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-22 06:12:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Henrik Nordstrom 2006-07-08 22:22:05 UTC
Description of problem:

No MTRR is set for the video ram, causing very poor performance.

Version-Release number of selected component (if applicable):

xorg-x11-server-Xorg-1.0.1-9.fc5.5
xorg-x11-drv-ati-6.5.8.0-1

How reproducible:

always

Steps to Reproduce:
1. Start X
2. Try some graphics intensive app. Poor performance
3. cat /proc/mtrr, no MTRR seen for the video memory region.
  
Actual results:

Poor performance

Expected results:

Quite good performance

Additional info:

A workaround is to create the MTRR manually. The following works on my box, but
 it's quite hardware dependent and the numbers need to be collected for the
specific hardware (lspci -v and xorg logs is good sources)..

echo "base=0xf8000000 size=0x4000000 type=write-combining" > /proc/mtrr 


Found the following possibly relevant changeset which was linked from a related
message somewhere..

http://webcvs.freedesktop.org/xorg/xserver/xorg/configure.ac?r1=1.186&r2=1.187
which leads to
https://bugs.freedesktop.org/show_bug.cgi?id=5801
and this for xorg 7
http://gitweb.freedesktop.org/?p=xorg-xserver;a=commit;h=1e764feab595b781dab22d6e41c26f118c9d41b5

my apologies if the above information is old but it looked promising..

Comment 1 Mike A. Harris 2006-07-22 06:12:37 UTC
Try xorg-x11-server-Xorg-1.1.1 or newer in rawhide, which was released since
the above upstream bug was commented on being resolved.  (IOW, the fix should
be in Xorg 7.1).




Note You need to log in before you can comment on or make changes to this bug.